<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.testor.module.contractor.ledger.dao.TContractorPersonCertificateDao">
    <!-- 开启二级缓存 -->
    <!-- <cache type="org.mybatis.caches.ehcache.LoggingEhcache"/> -->
    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.testor.module.contractor.ledger.model.domain.TContractorPersonCertificate">
                <id column="id" property="id"/>
                <id column="name" property="name"/>
                <id column="special_work_type" property="specialWorkType"/>
                <id column="code" property="code"/>
                <id column="start_date" property="startDate"/>
                <id column="end_date" property="endDate"/>
                <id column="certification_or_review" property="certificationOrReview"/>
                <id column="review_date" property="reviewDate"/>
                <id column="is_review_completed" property="isReviewCompleted"/>
                <id column="issuing_authority" property="issuingAuthority"/>
                <id column="process_name" property="processName"/>
                <id column="document_storage" property="documentStorage"/>
                <id column="attachment" property="attachment"/>
                <id column="safety_officer_certificate" property="safetyOfficerCertificate"/>
                <id column="safety_management_certificate" property="safetyManagementCertificate"/>
    </resultMap>
</mapper>